var Bootstrap = require('./src/bootstrap');
var Reflection = require('./src/reflection');
var Operators = require('./src/operators');
var Assign = require('./src/assign');
var Compose = require('./src/compose');
var Poset = require('./src/poset');

module.exports = {
  defineFunctions: Bootstrap.defineFunctions,
  scorch: Bootstrap.scorch,
  pluck: Bootstrap.pluck,
  replaceEach: Bootstrap.replaceEach,
  toSet: Bootstrap.toSet,

  isFunction: Reflection.isFunction,
  isObjectLiteral: Reflection.isObjectLiteral,
  isArray: Reflection.isArray,
  isString: Reflection.isString,

  lambda1: Operators.lambda1,
  returnArg0: Operators.returnArg0,
  returnArg1: Operators.returnArg1,

  assignDefaults: Assign.assignDefaults,
  assignDescriptorsDefaults: Assign.assignDescriptorsDefaults,

  composeDescriptors: Compose.composeDescriptors,

  flattenEncodedPoset: Poset.flattenEncodedPoset,
  walkEncodedPoset: Poset.walkEncodedPoset,
  walkPoset: Poset.walkPoset,

  flatten: require('./src/flatten'),
  pathReplace: require('./src/pathReplace'),
};
